<?php 
	$plumbing_services_custom_css ='';

/*----------------Related Product show/hide -------------------*/

$plumbing_services_enable_related_product = get_theme_mod('plumbing_services_enable_related_product',1);

	if($plumbing_services_enable_related_product == 0){
		$plumbing_services_custom_css .='.related.products{';
			$plumbing_services_custom_css .='display: none;';
		$plumbing_services_custom_css .='}';
	}

/*----------------blog post content alignment -------------------*/

$plumbing_services_blog_Post_content_layout = get_theme_mod( 'plumbing_services_blog_Post_content_layout','Left');
    if($plumbing_services_blog_Post_content_layout == 'Left'){
		$plumbing_services_custom_css .='.ct-post-wrapper .card-item {';
			$plumbing_services_custom_css .='text-align:start;';
		$plumbing_services_custom_css .='}';
	}else if($plumbing_services_blog_Post_content_layout == 'Center'){
		$plumbing_services_custom_css .='.ct-post-wrapper .card-item {';
			$plumbing_services_custom_css .='text-align:center;';
		$plumbing_services_custom_css .='}';
	}else if($plumbing_services_blog_Post_content_layout == 'Right'){
		$plumbing_services_custom_css .='.ct-post-wrapper .card-item {';
			$plumbing_services_custom_css .='text-align:end;';
		$plumbing_services_custom_css .='}';
	}

	/*--------------------------- Footer background image -------------------*/

    $plumbing_services_footer_bg_image = get_theme_mod('plumbing_services_footer_bg_image');
    if($plumbing_services_footer_bg_image != false){
        $plumbing_services_custom_css .='.footer-top{';
            $plumbing_services_custom_css .='background: url('.esc_attr($plumbing_services_footer_bg_image).');';
        $plumbing_services_custom_css .='}';
    }

	/*--------------------------- Go to top positions -------------------*/

    $plumbing_services_go_to_top_position = get_theme_mod( 'plumbing_services_go_to_top_position','Right');
    if($plumbing_services_go_to_top_position == 'Right'){
        $plumbing_services_custom_css .='.footer-go-to-top{';
            $plumbing_services_custom_css .='right: 20px;';
        $plumbing_services_custom_css .='}';
    }else if($plumbing_services_go_to_top_position == 'Left'){
        $plumbing_services_custom_css .='.footer-go-to-top{';
            $plumbing_services_custom_css .='left: 20px;';
        $plumbing_services_custom_css .='}';
    }else if($plumbing_services_go_to_top_position == 'Center'){
        $plumbing_services_custom_css .='.footer-go-to-top{';
            $plumbing_services_custom_css .='right: 50%;left: 50%;';
        $plumbing_services_custom_css .='}';
    }

    /*--------------------------- Woocommerce Product Sale Positions -------------------*/

    $plumbing_services_product_sale = get_theme_mod( 'plumbing_services_woocommerce_product_sale','Right');
    if($plumbing_services_product_sale == 'Right'){
        $plumbing_services_custom_css .='.woocommerce ul.products li.product .onsale{';
            $plumbing_services_custom_css .='left: auto; ';
        $plumbing_services_custom_css .='}';
    }else if($plumbing_services_product_sale == 'Left'){
        $plumbing_services_custom_css .='.woocommerce ul.products li.product .onsale{';
            $plumbing_services_custom_css .='right: auto;left:0;';
        $plumbing_services_custom_css .='}';
    }else if($plumbing_services_product_sale == 'Center'){
        $plumbing_services_custom_css .='.woocommerce ul.products li.product .onsale{';
            $plumbing_services_custom_css .='right: 50%; left: 50%; ';
        $plumbing_services_custom_css .='}';
    }

    /*-------------------- Primary Color -------------------*/

	$plumbing_services_primary_color = get_theme_mod('plumbing_services_primary_color', '#e83b13'); // Add a fallback if the color isn't set

	if ($plumbing_services_primary_color) {
		$plumbing_services_custom_css .= ':root {';
		$plumbing_services_custom_css .= '--secondary-color: ' . esc_attr($plumbing_services_primary_color) . ';';
		$plumbing_services_custom_css .= '}';
	}

    /*-------------------- Secomdary Color -------------------*/

	$plumbing_services_tertiary_color = get_theme_mod('plumbing_services_tertiary_color', '#121343'); // Add a fallback if the color isn't set

	if ($plumbing_services_tertiary_color) {
		$plumbing_services_custom_css .= ':root {';
		$plumbing_services_custom_css .= '--tertiary-color: ' . esc_attr($plumbing_services_tertiary_color) . ';';
		$plumbing_services_custom_css .= '}';
	}

    /*----------------Enable/Disable Breadcrumbs -------------------*/

    $plumbing_services_enable_breadcrumbs = get_theme_mod('plumbing_services_enable_breadcrumbs',1);

    if($plumbing_services_enable_breadcrumbs == 0){
        $plumbing_services_custom_css .='.plumbing-services-breadcrumbs, nav.woocommerce-breadcrumb{';
            $plumbing_services_custom_css .='display: none;';
        $plumbing_services_custom_css .='}';
    }